=== debian/changelog ===
ros-kinetic-mitre-fast-layered-map (0.1.4-2xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- tbostic <tbostic@mitre.org>  Mon, 08 Mar 2021 15:44:26 -0000
