=== debian/control ===
Source: ros-kinetic-mitre-fast-layered-map
Section: misc
Priority: optional
Maintainer: tbostic <tbostic@mitre.org>
Build-Depends: debhelper (>= 9.0.0), libpcl1.7, ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-filters, ros-kinetic-geometry-msgs, ros-kinetic-grid-map-core, ros-kinetic-grid-map-loader, ros-kinetic-grid-map-msgs, ros-kinetic-grid-map-ros, ros-kinetic-grid-map-rviz-plugin, ros-kinetic-grid-map-visualization, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-rosunit, ros-kinetic-sensor-msgs, ros-kinetic-tf2, ros-kinetic-tf2-eigen, ros-kinetic-tf2-geometry-msgs, ros-kinetic-tf2-kdl, ros-kinetic-tf2-ros, ros-kinetic-tf2-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-mitre-fast-layered-map
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl1.7, ros-kinetic-cv-bridge, ros-kinetic-filters, ros-kinetic-geometry-msgs, ros-kinetic-grid-map-core, ros-kinetic-grid-map-loader, ros-kinetic-grid-map-msgs, ros-kinetic-grid-map-ros, ros-kinetic-grid-map-rviz-plugin, ros-kinetic-grid-map-visualization, ros-kinetic-pcl-conversions, ros-kinetic-pcl-ros, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-sensor-msgs, ros-kinetic-tf2, ros-kinetic-tf2-eigen, ros-kinetic-tf2-geometry-msgs, ros-kinetic-tf2-kdl, ros-kinetic-tf2-ros, ros-kinetic-tf2-sensor-msgs
Description: The mitre_fast_layered_map package
